Arsip Kategori: Linux-Printer

PCLinuxOS dan iP1900

Atas permintaan seorang kawan yang mengunjungi blog ini beberapa waktu yang lalu, kali ini aku akan menulis tentang instalasi printer Canon iP1900 pada PCLinuxOS. Linux sebagai operating system (OS) dengan lisensi open source menjadikannya sebagai OS dengan turunan paling banyak (menurutku). Linux menjadi beraneka ragam karena sistem distribusinya. Masing-masing distribusi memiliki koleksi paket dan cara pemaketan yang berbeda. Beberapa pemaketan yang umum di antaranya: Debian (.deb), RedHat (.rpm), dan Slackware (.tar).

PCLinuxOS, meski dikatakan bukan keturunan RedHat, namum menggunakan format .rpm sebagai sistem paketnya. Sedangkan Canon iP1980 merupakan printer rumahan yang paling populer (menurutku) karena kita dapat menerapkan sistem infus pada printer model ini. Selain itu, Canon menyediakan driver printer versi Linux di sini.

Baiklah, konfigurasi yang aku gunakan adalah:

  • PCLinuxOS 2010 LXDE.
  • Canon iP1980 dengan driver yang dapat didownload di sini.

Lanjut ke langkah-langkah instalasi printer iP1980 series. Baca lebih lanjut

iP1900 di Ubuntu 10.04 LTS

Duh! Pengennya nyoba Ubuntu 10.04 LTS yang di-launching bulan april kemaren, lha kok printer kesayanganku tidak dikenali?! Aku coba pasang dan deteksi otomatis, tapi… sayangnya Ubuntu tetap saja tidak menyertakan driver printer ini. Apa gak banyak yang pake ya? Yang ada dalam kamus driver hanya iP2000. Hal ini juga pernah terjadi dengan Mint 8.0 Helena dan iP1980. Kucoba deh cara-cara yang sama, tapi.. apa yang terjadi? File pustaka libcupsys2 yang dulu kupakai tidak ditemukan! 😀 ternyata versinya berubah, download di sini dan ambil versi terakhirnya ya.

Masalah lain timbul, Baca lebih lanjut

Canon PIXMA iP1980 di OpenSUSE 11.1

iP1980

Beberapa waktu yang lalu iP1980-ku selalu dipasangkan dengan Linux Mint yang merupakan keturunan Ubuntu (sedang Ubuntu keturunan Debian). Baik itu Mint, Ubuntu, atau Debian, ketiganya tentu saja mempunyai cara yang sama dalam operasionalnya. Yang berbeda–menurutku–hanya selera tampilan dan pilihan paket aplikasi. Sehingga untuk memasangkan iP1980 ke keluarga Debian relatif sama; apalagi jika menggunakan mode teks (shell).

Kali ini, iP1980 ku pasangkan dengan openSUSE 11.1 (hadiah majalah InfoLINUX edisi 03/2009). Tidak ada yang lebih baru? 😀 ada sih, tapi lupa dimana naruh CD ISO-nya. Kenapa openSUSE, suka aja dengan tampilan dan sistem manajemen bernama YaST (Yet another Setup Tool) yang memberikan kemudahan dalam melakukan setup openSUSE berbasis grafis (GUI).

Bagi pengguna openSUSE tentu sudah tahu bagaimana menjalankan Yast ini. Pilh dari menu openSUSE Logo > Computer > YaST. Baca lebih lanjut

Mint 8 Helena dan Canon iP1980

Terlena beberapa hari dengan Helena (Linux Mint 8) yang begitu cantik. Lupa jika printer kesayangan (:D karena cuman ada satu…) belum dapat digunakan karena drivernya tidak disertakan dalam paket distro Helena maupun Karmic Koala (Ubuntu 9.10). Teringat lagi kalo dulu pernah nulis instalasi seri iP1900 di Linux Mint 6.

Tapi… apa yang terjadi? Kok muncul informasi ini:

Package libcupsys2-dev is a virtual package provided by:
libcups2-dev 1.4.1-5ubuntu2.1
You should explicitly select one to install.
E: Package libcupsys2-dev has no installation candidate

Beberapa kali dilakukan

sudo apt-get update

tetap tidak menyelesaikan masalah. Masih dengan rasa penasaran, Google-lah tempat bertanya. Jawabannya cukup mengejutkan, no libcupsys2 at karmic ubuntu 9.10??
Dalam forum itu diberikan solusi dengan melakukan instalasi libcupsys2_1.3.9-17ubuntu3.4_all.deb untuk membantu transisi dari libcupsys2 yang berganti nama menjadi libcups2. Dan, alhamdulillah… semuanya berjalan lancar dan printerku bisa digunakan lagi bersama Helena.

Canon PIXMA iP1900 Series di Linux Mint 6

PIXMA iP1980

PIXMA iP1980

Alhamdulillah… akhirnya ketemu juga driver Linux untuk Canon PIXMA iP1980-ku. Sekarang printer itu sudah dapat digunakan untuk mencetak. Tahu nggak, driver itu ternyata sudah tersedia di situs Canon Eropa, klik di sini untuk mengunduhnya. Driver ini bergantung (dependency) pada libcupsys2. Tentu saja harus di-instal terlebih dahulu dengan cara:

sudo apt-get install libcupsys2

Baca lebih lanjut